## org.exist.xquery
Interface NodeSelector

All Known Implementing Classes:
  AncestorSelector, ChildSelector, DescendantSelector, ParentSelector, SelfSelector

public interface NodeSelector

Author:
  Wolfgang Meier (wolfgang@exist-db.org)

Method Summary
`NodeProxy` `match(DocumentImpl doc, NodeId nodeId)`

Method Detail

### match

    public NodeProxy match(DocumentImpl doc,
                           NodeId nodeId)

Copyright (C) Wolfgang Meier. All rights reserved.